require 'rails/generators/active_record'

module ActiveRecord
  module Generators
    class ActiveRecordMigrationGenerator < Rails::Generators::Base

      source_root File.expand_path('../templates', __FILE__)

      # Invoke the active record migration generator
      def create_pogs_migration
        if Dir.glob("{db/migrate}/*_create_pogs.rb*").empty?
          invoke "active_record:migration", ["create_pogs"]
          insert_into_file Dir.glob("{db/migrate}/*create_pogs.rb*").last, migration_data, :after => "create_table :pogs do |t|\n"
        else
          puts "Migration for Pog already exists."
        end
      end


      private

      # code to be added to the migration
      def migration_data
        <<-RUBY

      t.string :access_token
      t.datetime :access_token_expiration_time
      t.string :refresh_token
      t.string :analytics_view_id
      t.boolean :permission

      t.timestamps
      RUBY
      end

    end
  end
end