require 'rails/generators/active_record'
require 'generators/active_record/active_record_migration_generator'
require 'generators/pog/pog_model_generator'

module Pog
  module Generators
    class InstallGenerator < Rails::Generators::Base

      source_root File.expand_path("../templates", __FILE__)

      desc "This generator handles installation and setup"

      # # requires a 'name' even though pog migration
      # # does not require one, so we pass an empty string
      def setup_migration
        invoke "active_record:active_record_migration", [""]
      end

      def setup_model
        invoke "pog:pog_model", [""]
      end

    end
  end
end



